# CredentialSignInStartRequest

Starts a subscription sign-in.

**Kind:** an object, used in requests.

## Fields

| Field | Type | Required | Description |
|---|---|---|---|
| `credentialId` | `uuid \| null` |  | To sign an existing OAuth credential in again (new tokens, same credential and stacks); null for a new one. |

## Example

```json
{
  "credentialId": "3f2b8c1e-5d4a-4e6b-9c7d-2a1b0c9d8e7f"
}
```

## Where it's used

- [`credentials.startSignIn`](https://docs.maitento.com/reference/api/credentials.md) (`POST /credentials/sign-in/{tool}`)
